Subject: 28.0.50; Tramp read-file-name regression

From: Juri Linkov <[email-masked]>
Date: Sat, 02 Oct 2021 22:19:25 +0300

This is a recent regression.  When visiting a remote Dired buffer,
marking one file with C-SPC (set-mark-command), then moving point
to another Dired file, then typing '=' (dired-diff) and 'RET'
fails with the error "Attempt to compare the file to itself".

This is because 'read-file-name' in the interactive spec of 'dired-diff'
now returns the remote directory name after typing RET,
while some time ago it correctly returned the default file name,
that is the marked file that was used as the arg 'file' of 'dired-diff'.

In local filesystems, RET still correctly returns the default file,
not a directory name as it does now for remote directories.